package cn.yw.softwaremanage.bean;

import cn.base.bean.BaseBean;
//[运维应用系统目录表]

public class YwsoftwarelistBean extends BaseBean implements java.io.Serializable {
	private String listid;//[目录id]
	private String machineid;//[机器id]
	private String listnum;//[目录编号]
	private String listname;//[目录名称]
	private String listtype;//[应用类型]
	private String listdevelopcompany;//[开发公司]
	private String listdeploytime;//[]
	private String listdescribe;//[目录描述]
	private String listposition;//[位置描述]
	private String listareanum;//[区域编号]
	private int liststatus;//[状态]
	private int detectionswitch;//[检测开关]
	private String detectionstarttime;//[检测开始时间]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setListid(String listid){
		this.listid = listid;
	}
	public String getListid(){
		return listid;
	}
	public void setMachineid(String machineid){
		this.machineid = machineid;
	}
	public String getMachineid(){
		return machineid;
	}
	public void setListnum(String listnum){
		this.listnum = listnum;
	}
	public String getListnum(){
		return listnum;
	}
	public void setListname(String listname){
		this.listname = listname;
	}
	public String getListname(){
		return listname;
	}
	public void setListtype(String listtype){
		this.listtype = listtype;
	}
	public String getListtype(){
		return listtype;
	}
	public void setListdevelopcompany(String listdevelopcompany){
		this.listdevelopcompany = listdevelopcompany;
	}
	public String getListdevelopcompany(){
		return listdevelopcompany;
	}
	public void setListdeploytime(String listdeploytime){
		this.listdeploytime = listdeploytime;
	}
	public String getListdeploytime(){
		return listdeploytime;
	}
	public void setListdescribe(String listdescribe){
		this.listdescribe = listdescribe;
	}
	public String getListdescribe(){
		return listdescribe;
	}
	public void setListposition(String listposition){
		this.listposition = listposition;
	}
	public String getListposition(){
		return listposition;
	}
	public void setListareanum(String listareanum){
		this.listareanum = listareanum;
	}
	public String getListareanum(){
		return listareanum;
	}
	public void setListstatus(int liststatus){
		this.liststatus = liststatus;
	}
	public int getListstatus(){
		return liststatus;
	}
	public void setDetectionswitch(int detectionswitch){
		this.detectionswitch = detectionswitch;
	}
	public int getDetectionswitch(){
		return detectionswitch;
	}
	public void setDetectionstarttime(String detectionstarttime){
		this.detectionstarttime = detectionstarttime;
	}
	public String getDetectionstarttime(){
		return detectionstarttime;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}